﻿using System;

namespace ScaraBattle.Model
{
    /// <summary>
    /// A játék eseményargumentum típusa.
    /// </summary>
    public class GameEventArgs : EventArgs
    {
        public bool GameOver { get; set; }

        public int WhoWon { get; set; }

        public int BlueHealth { get; set; }

        public int BlueGold { get; set; }

        public int RedHealth { get; set; }

        public int RedGold { get; set; }

        public bool SoldTower { get; set; }
        public bool UpgradedTower { get; set; }
        public int SelectedCellX { get; set; }
        public int SelectedCellY { get; set; }
        public String WhyIsNothingHappening { get; set; }



        /// <summary>
        /// Eseményargumentum példányosítása.
        /// </summary>
        /// <param name="blueWon">Melyik játékos nyert</param>
        public GameEventArgs(int whoWon)
        {
            GameOver = true;
            WhoWon = whoWon;
        }

        public GameEventArgs(string whyIsNothingHappening)
        {
            WhyIsNothingHappening = whyIsNothingHappening;
        }

        /// <summary>
        /// Eseményargumentum példányosítása.
        /// </summary>
        /// <param name="blueHealth">Első játékos élete</param>
        /// <param name="blueGold">Első játékos pénze</param>
        /// <param name="redHealth">Második játékos élete</param>
        /// <param name="redGold">Második játékos pénze</param>
        public GameEventArgs(int blueHealth, int blueGold, int redHealth, int redGold)
        {
            GameOver = false;
            BlueHealth = blueHealth;
            BlueGold = blueGold;
            RedHealth = redHealth;
            RedGold = redGold;
        }

        public GameEventArgs(int selPosY, int selPosX)
        {
            SelectedCellY = selPosY;
            SelectedCellX = selPosX;
        }
    }
}
