﻿using System;

namespace ScaraBattle.ViewModel
{
    class GameField : ViewModelBase
    {
        /// <summary>
        /// Vízszintes koordináta lekérdezése, vagy beállítása.
        /// </summary>
        public int X { get; set; }

        /// <summary>
        /// Függőleges koordináta lekérdezése, vagy beállítása.
        /// </summary>
        public int Y { get; set; }

        private String _image;

        /// <summary>
        /// A mező háttérképének kulcsszava
        /// </summary>
        public String Image
        {
            get { return _image; }
            set
            {
                _image = value;
                OnPropertyChanged();
            }
        }

        /// <summary>
        /// A mező pozíciója
        /// </summary>
        public (int Y, int X) Position
        {
            get { return (X, Y); }
        }

        /// <summary>
        /// Lépés parancs lekérdezése, vagy beállítása.
        /// </summary>
        public DelegateCommand CellCommand { get; set; }
    }
}
